Last Comment Bug 342227 - bind/@relevant fails to apply to attribute serialization
: bind/@relevant fails to apply to attribute serialization
Status: RESOLVED FIXED
: fixed1.8.0.8, fixed1.8.1.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: aaronr
: Stephen Pride
Mentors:
Depends on:
Blocks: 326372
  Show dependency treegraph
 
Reported: 2006-06-20 16:44 PDT by Leigh L. Klotz, Jr.
Modified: 2016-07-15 14:46 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
relevant=false() on attributes and elements in submission (932 bytes, application/xhtml+xml)
2006-06-20 16:48 PDT, Leigh L. Klotz, Jr.
no flags Details
testcase updated (1.00 KB, application/xhtml+xml)
2006-06-28 00:07 PDT, aaronr
no flags Details
patch (3.41 KB, patch)
2006-06-28 03:39 PDT, aaronr
bugs: review+
doronr: review+
Details | Diff | Splinter Review

Description Leigh L. Klotz, Jr. 2006-06-20 16:44:25 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.4) Gecko/20060508 Firefox/1.5.0.4

<bind nodeset="/path/to/@attribute" relevant="false()" />
fails to inhibit serialization of the specified attribute.

Reproducible: Always

Steps to Reproduce:
See attached testcase which shows that attribute notes with relevant=false() are serialized, but element nodes with relevant=false() are not.
Comment 1 Leigh L. Klotz, Jr. 2006-06-20 16:47:23 PDT
Spec reference http://www.w3.org/TR/xforms/slice11.html#submit-event bullet item 1: 
  Any node which is considered not relevant as defined in "6.1.4 The relevant Property" is removed.
Comment 2 Leigh L. Klotz, Jr. 2006-06-20 16:48:55 PDT
Created attachment 226429 [details]
relevant=false() on attributes and elements in submission

When relevant is attached to an attribute, it still shows up in submission.
When relevant is attached to an element, it does not show up in submission.
Comment 3 aaronr 2006-06-20 16:55:32 PDT
this can probably be fixed somewhere between nsXFormsSubmissionElement::CopyChildren or nsXFormsModelElement::HandleInstanceDataNode
Comment 4 aaronr 2006-06-28 00:07:42 PDT
Created attachment 227379 [details]
testcase updated

Updated testcase text to be more descriptive
Comment 5 aaronr 2006-06-28 03:39:21 PDT
Created attachment 227394 [details] [diff] [review]
patch
Comment 6 aaronr 2006-06-29 09:52:27 PDT
checked into trunk
Comment 7 aaronr 2006-10-17 14:14:07 PDT
checked into 1.8.0 branch on 2006/09/21
Comment 8 aaronr 2007-01-11 15:42:39 PST
checked into 1.8 branch on 2006/11/21

Note You need to log in before you can comment on or make changes to this bug.